Bug 198992 - [PATCH] security/nessus-libraries Fix build with LibreSSL
Summary: [PATCH] security/nessus-libraries Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlo Strub
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-28 22:46 UTC by Bernard Spil
Modified: 2015-09-16 00:00 UTC (History)
3 users (show)

See Also:
Udo.Schweigert: maintainer-feedback+


Attachments
svn diff for security/nessus-libraries (6.67 KB, patch)
2015-03-28 22:46 UTC, Bernard Spil
no flags Details | Diff
Poudirere build log of security/nessus-libraries (109.38 KB, text/plain)
2015-03-28 22:49 UTC, Bernard Spil
no flags Details
Poudriere build log of security/nessus-libnasl (36.36 KB, text/plain)
2015-03-28 22:50 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-28 22:46:46 UTC
Created attachment 154932 [details]
svn diff for security/nessus-libraries

The security/nessus-libraries doesn't properly detect OpenSSL or LibreSSL from base. This results in issues with LibreSSL as this doesn't have SSLv2 and due to the linker not getting the /usr/local bits passed building nessus-libnasl consequently fails. (I believe the existing patch removing SSLv2 is thus non-functional)

This patch:
 - Defines USE_OPENSSL=yes
 - Passes proper --with-ssl= to configure
 - Already disables SSLv3 (we should)
Comment 1 Bernard Spil freebsd_committer 2015-03-28 22:49:25 UTC
Created attachment 154933 [details]
Poudirere build log of security/nessus-libraries
Comment 2 Bernard Spil freebsd_committer 2015-03-28 22:50:05 UTC
Created attachment 154934 [details]
Poudriere build log of security/nessus-libnasl

Added as that was originally failing, not the -libraries port...
Comment 3 Jamie Landeg-Jones 2015-04-10 19:24:12 UTC
Nice one! I'd too noticed the SSL patches applied a few weeks ago were not working with the nessus ports, but hadn't got around to trying to find out why!

cheers, Jamie
Comment 4 Bernard Spil freebsd_committer 2015-04-10 19:32:10 UTC
(In reply to Jamie Landeg-Jones from comment #3)
Hi Jamie,

Be sure to check https://wiki.freebsd.org/LibreSSL, https://wiki.freebsd.org/OpenSSL and sub-pages. I'm trying to keep track of all of 'm
Comment 5 Udo.Schweigert 2015-04-19 12:00:39 UTC
Great work. Thanks. I tested and approve the change. To get it working you will have to delete nessus-libraries/files/patch-libnessus__network.c from the port as this is incorporated into the new patch.

Udo
Comment 6 commit-hook freebsd_committer 2015-09-15 23:59:28 UTC
A commit references this bug:

Author: cs
Date: Tue Sep 15 23:59:10 UTC 2015
New revision: 397032
URL: https://svnweb.freebsd.org/changeset/ports/397032

Log:
  Fix build with LibreSSL

  PR:		198992
  Submitted by:	brnrd@
  Approved by:	maintainer

Changes:
  head/security/nessus-libraries/Makefile
  head/security/nessus-libraries/files/patch-Makefile
  head/security/nessus-libraries/files/patch-libnessus__network.c
  head/security/nessus-libraries/files/patch-libnessus_network.c
  head/security/nessus-libraries/files/patch-libpcap-nessus__configure
Comment 7 Carlo Strub freebsd_committer 2015-09-16 00:00:26 UTC
Committed. Thank you very much.